%define aurox_ver 9.3
%define rel 1

Summary: GNOME Structured File library
Name: libgsf
Version: 1.8.2
Release: %{aurox_ver}.aur.%{rel}
Group: System Environment/Libraries
License: LGPL
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.8/%{name}-%{version}.tar.bz2
Patch0: libgsf-1.8.1-nodocs.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: glib2 >= 2.2.0
BuildRequires: glib2-devel >= 2.2.0

%description
A library for reading and writing structured files (eg MS OLE and Zip)

%package devel
Summary: Support files necessary to compile applications with libgsf.
Group: Development/Libraries
Requires: libgsf

%description devel
Libraries, headers, and support files necessary to compile applications using libgsf.

%prep
%setup -q
%patch0 -p1 -b .nodocs

%build
libtoolize --force --copy
%configure --disable-gtk-doc
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libgsf-1/*
#{_datadir}/doc/libgsf/html/*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Wed Jan 14 2004 Aurox Team <aurox@aurox.org> 0:1.8.2-9.3.aur.1
- rebuild for Aurox 9.3
- Initial build for Aurox 9.2

* Fri Sep 19 2003 Havoc Pennington <hp@redhat.com> 1.8.2-1
- 1.8.2

* Wed Aug 13 2003 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Wed Aug  6 2003 Elliot Lee <sopwith@redhat.com> 1.8.1-5
- Fix libtool

* Sat Jul 12 2003 Jeremy Katz <katzj@redhat.com> 1.8.1-4
- use system libtool so that lib64 library deps are correct

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 1.8.1-3
- forcibly disable gtk-doc (openjade is broken on s390)

* Mon Jul  7 2003 Jeremy Katz <katzj@redhat.com> 1.8.1-2
- ldconfig in %%post/%%postun

* Sun Jul  6 2003 Jeremy Katz <katzj@redhat.com> 1.8.1-1
- use standard macros
- build for Red Hat Linux

* Tue May 13 2003 Rui M. Seabra <rms@407.org>
- fix spec to reflect current stat of the build

* Tue Jun 18 2002 Rui M. Seabra <rms@407.org>
- set permission correctly
- fix common mistake of Copyright flag into License flag.

* Thu May 23 2002 Jody Goldberg <jody@gnome.org>
- Initial version
